org.infinispan.schematic.internal

## Class InMemoryDocumentLibrary.ImmediateFuture

- java.lang.Object
- - org.infinispan.schematic.internal.InMemoryDocumentLibrary.ImmediateFuture

- All Implemented Interfaces:
    Future<Document>, org.infinispan.util.concurrent.NotifyingFuture<Document>
  Enclosing class:
    InMemoryDocumentLibrary

      protected static class InMemoryDocumentLibrary.ImmediateFuture
      extends Object
      implements org.infinispan.util.concurrent.NotifyingFuture<Document>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InMemoryDocumentLibrary.ImmediateFuture(Document value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.infinispan.util.concurrent.NotifyingFuture<Document>` | `attachListener(org.infinispan.util.concurrent.FutureListener<Document> listener)`
    `boolean` | `cancel(boolean mayInterruptIfRunning)`
    `Document` | `get()`
    `Document` | `get(long timeout, TimeUnit unit)`
    `boolean` | `isCancelled()`
    `boolean` | `isDone()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InMemoryDocumentLibrary.ImmediateFuture

          protected InMemoryDocumentLibrary.ImmediateFuture(Document value)

  - ### Method Detail

    - #### cancel

          public boolean cancel(boolean mayInterruptIfRunning)

      Specified by:
        `cancel` in interface `Future<Document>`

    - #### isCancelled

          public boolean isCancelled()

      Specified by:
        `isCancelled` in interface `Future<Document>`

    - #### isDone

          public boolean isDone()

      Specified by:
        `isDone` in interface `Future<Document>`

    - #### get

          public Document get()

      Specified by:
        `get` in interface `Future<Document>`

    - #### get

          public Document get(long timeout,
                     TimeUnit unit)

      Specified by:
        `get` in interface `Future<Document>`

    - #### attachListener

          public org.infinispan.util.concurrent.NotifyingFuture<Document> attachListener(org.infinispan.util.concurrent.FutureListener<Document> listener)

      Specified by:
        `attachListener` in interface `org.infinispan.util.concurrent.NotifyingFuture<Document>`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.